 unit Unit1; 

{$mode objfpc}{$H+}

 interface

 uses
  Classes, SysUtils, sqlite3conn, sqldb, db, FileUtil, LResources, Forms,
  Controls, Graphics, Dialogs, ExtCtrls, DBGrids, StdCtrls, RTTIGrids,
  RTTICtrls, Spin;

 type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Connect: TSQLite3Connection;
    DBGrid1: TDBGrid;
    DS1: TDatasource;
    Edit1: TEdit;
    Panel1: TPanel;
    Panel2: TPanel;
    Q1: TSQLQuery;
    sid: TSpinEdit;
    fid: TSpinEdit;
    Transaction: TSQLTransaction;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure TIMemo1Change(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

 var
  Form1: TForm1; 

 implementation

 { TForm1 }

 procedure TForm1.TIMemo1Change(Sender: TObject);
 begin

 end;

 procedure TForm1.Button1Click(Sender: TObject);
 begin

   with Q1 do begin
    close;
    sql.Clear;
    sql.Add('select * from table1');
    open;
   end;

 end;

 procedure TForm1.Button2Click(Sender: TObject);
 begin
    Transaction.Active:=True;
    with Q1 do begin
    close;
    sql.Clear;
    sql.Add('insert into table1 (fistid,secondid,Name) values (:fid,:sid,:date) ;');
    params.ParamByName('fid').Value:=fid.Text;
    params.ParamByName('sid').Value:=sid.Text;
    params.ParamByName('date').Value:=edit1.Text;
    ExecSQL;
   end;
   Transaction.Commit;

   with Q1 do begin
    close;
    sql.Clear;
    sql.Add('select * from table1');
    open;
   end;
 end;

 procedure TForm1.Button3Click(Sender: TObject);
 begin
       Transaction.Active:=True;
    with Q1 do begin
    close;
    sql.Clear;
    sql.Add('delete from table1;');
    ExecSQL;
   end;
   Transaction.Commit;

   with Q1 do begin
    close;
    sql.Clear;
    sql.Add('select * from table1');
    open;
   end;
 end;

 procedure TForm1.FormShow(Sender: TObject);
 begin
      connect.DatabaseName:='test.db';
   connect.Connected:=True;
 end;

 initialization
  {$I unit1.lrs}

 end.

